package de.stefandraegersoftware.clipboardobserver;

import java.awt.datatransfer.DataFlavor;
/**
 * Enum EClipboardDataFlavor
 * Enthlt die mglichen {@link DataFlavor} Werte, gewrappt als ENUM Werte.
 * @author Stefan Draeger Software
 *
 */
public enum EClipboardDataFlavor {
	IMAGE(DataFlavor.imageFlavor), FILELIST(DataFlavor.javaFileListFlavor), STRING(DataFlavor.stringFlavor);

	private DataFlavor dataFlavor;

	EClipboardDataFlavor(DataFlavor inDataFlavor) {
		this.dataFlavor = inDataFlavor;
	}

	public DataFlavor getDataFlavor() {
		return this.dataFlavor;
	}
}
